Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.cdi.impl.manager
Class RuntimeManagerFactoryCDIImpl

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl
          org.jbpm.services.cdi.impl.manager.RuntimeManagerFactoryCDIImpl

All Implemented Interfaces:
  RuntimeManagerFactory

    @ApplicationScoped
    public class RuntimeManagerFactoryCDIImpl

extends RuntimeManagerFactoryImpl

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.api.runtime.manager.RuntimeManagerFactory
`RuntimeManagerFactory.Factory`

Constructor Summary
`RuntimeManagerFactoryCDIImpl()`

Method Summary
`protected org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory(RuntimeEnvironment environment)`

Methods inherited from class org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl
`getSessionFactory, initTimerService, newPerProcessInstanceRuntimeManager, newPerProcessInstanceRuntimeManager, newPerRequestRuntimeManager, newPerRequestRuntimeManager, newSingletonRuntimeManager, newSingletonRuntimeManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeManagerFactoryCDIImpl

    public RuntimeManagerFactoryCDIImpl()

Method Detail

### getTaskServiceFactory

    protected org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory(RuntimeEnvironment environment)

  Overrides:
    `getTaskServiceFactory` in class `RuntimeManagerFactoryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.